#ifndef MINIBEAM_LIB_H
#define MINIBEAM_LIB_H

#include <stddef.h>

/* Must agree with minibeam-auto-tune.db */
#define MINIBEAM_OPDM_MAX                  0
#define MINIBEAM_OPDM_MINUS_MIN__CNTR_MASS 1

extern int minibeamComputeOptimalPosition(int opdm, const double *positions,
  const float *values, int startIdx, size_t positionsAndValuesSize,
  double *optimalPosition);

#endif
