#!/bin/sh

appName='minibeam'

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../iocBoot/ioc${appName}"
if [ $? -ne 0 ]; then
  echo -n 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../iocBoot/ioc${appName}\"." 1>&2
  exit 1
fi

exec "../../${appName}App/src/O.$EPICS_HOST_ARCH/${appName}Test" st.cmd
