# Create low-level simulated motors
# motorSimCreate(int card, int axis, int lowLimit, int hiLimit, int home,
#   int nCards, int nAxes, int startPosn)
motorSimCreate(0,  0, -10000000, 10000000, 0, 1, 3, 0)

# Create simulated asyn motors
# drvAsynMotorConfigure(const char *portName, const char *driverName,
#   int card, int num_axes)
# portName   = asyn port name
# driverName = name of low-level driver
# card       = card to use
# num_axes   = number of axes on card
drvAsynMotorConfigure("motorSim1", "motorSim", 0, 3)

# Load apparatus stage motor simulations
dbLoadTemplate("$(TOP)/minibeamApp/Db/sim/motor.template")

# Load ADC simulation
dbLoadTemplate("$(TOP)/minibeamApp/Db/sim/ip330.template")

# Load intensity simulation
dbLoadTemplate("$(TOP)/minibeamApp/Db/sim/intensity.template")
